/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/

#include <ibexcept.h>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IBEXCEPT_CPP_
  #include <ipagetun.h>
#endif

ICCEXCLASSIMPLEMENT(IPreconditionViolation,IException);
  ICCEXCLASSIMPLEMENT(IFullException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IEmptyException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(INotEmptyException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(INotBoundedException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(ICursorInvalidException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IPositionInvalidException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(INotContainsKeyException,IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IKeyAlreadyExistsException,
                      IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IRootAlreadyExistsException,
                      IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IChildAlreadyExistsException,
                      IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IIdenticalCollectionException,
                      IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(IInvalidReplacementException,
                      IPreconditionViolation);
  ICCEXCLASSIMPLEMENT(ICyclicAttachException,IPreconditionViolation);

  ICCEXCLASSIMPLEMENT(IOutOfCollectionMemory,IOutOfMemory);



