/*******************************************************************************
* FILE NAME: icustbu1.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   ICustomButton class.                                                       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Priority INT_MIN (-2147483647 - 1) + 1024 + 512
#pragma priority( -2147482112 )

extern "C" {
   #include <iwindefs.h>
}

#ifndef _INOTIFY_
  #include <inotify.hpp>
#endif

#ifndef _ICUSTBUT_
  #include <icustbut.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ICUSTBU1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
#pragma data_seg(ICLStaticConst)
INotificationId const ICustomButton::latchId = "ICustomButton::latch";
#pragma data_seg()

