/* NOSHIP */
#ifndef _ICMNFUN_
  #define _ICMNFUN_
/*******************************************************************************
* FILE NAME: icmnfun.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the functions:                                              *
*     defaultbackgroundcolor                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#pragma pack(4)
#include <ihandle.hpp>

class IColor;


/*------------------------------------------------------------------------------
| defaultbackgroundcolor                                                       |
------------------------------------------------------------------------------*/
IColor defaultbackgroundcolor(IWindowHandle hwndmain);


/**********************************************************************/
/* support for dialog enumeration and button setting                  */
/**********************************************************************/
#define IENUMDLGITEM(dlg,ctl,flag )   (WinEnumDlgItem(dlg, ctl, flag ))
#define ISETDEFAULTPUSHBUTTON(hwnd,flg) (hwnd.sendEvent( BM_SETDEFAULT, flg, 0))
#define ICLICKBUTTON(hwnd)              (hwnd.sendEvent(BM_CLICK, 0, 0))




#pragma pack()

#endif /* _ICMNFUN_ */
