/* NOSHIP */
#ifndef _IFLYPAIN_
#define _IFLYPAIN_
/*******************************************************************************
* FILE NAME: iflypain.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IFlyTextPaintHandler                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#include <ipainhdr.hpp>

#pragma pack(4)

class IFlyTextPaintHandler : public IPaintHandler {
typedef IPaintHandler
  Inherited;

public:
/*------------------------------- Constructors -------------------------------*/
  IFlyTextPaintHandler ();
virtual
  ~IFlyTextPaintHandler ();

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual Boolean
  paintWindow( IPaintEvent& event ),
  dispatchHandlerEvent( IEvent& event );

}; // IFlyTextPaintHandler

#pragma pack()

#endif /* _IFLYPAIN_ */
