/* NOSHIP */
#ifndef _IHELPPRV_
#define _IHELPPRV_
/*******************************************************************************
* FILE NAME: ihelpprv.hpp.                                                     *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IHelpWindow                                                              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#include <ihandle.hpp>
#include <istring.hpp>
#include <ireslib.hpp>

class IFrameWindow;

#pragma pack(4)

class IHelpWindowData {
public:
  IHelpWindowData( );

  ~IHelpWindowData( );

IWindowHandle
  helpHandle;                   // handle of help instance
IResourceLibrary
 *pHTResLib,                    // help table resource library
 *pMAResLib;
IString
 helpLibraries;                 // list of help files

};

#pragma pack()

#endif
