/* NOSHIP */
#ifndef _IWPOSBUF_INL_
#define _IWPOSBUF_INL_ 0
/*******************************************************************************
* FILE NAME: iwposbuf.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in iwposbuf.hpp.                                          *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IWPOSBUF_
  #undef  _IWPOSBUF_INL_
  #define _IWPOSBUF_INL_ 1
  #include <iwposbuf.hpp>
#endif

#include <iwindefs.h>
#include <iwindow.hpp>

#if _IWPOSBUF_INL_
  #define inline
#endif

/*----------------------------- IWindowPosBuffer -----------------------------*/
inline unsigned long const
  &key ( IWindowPosBuffer::Item* const& element )
  {
  return element->fkeyHwnd;
  }
#endif /* _IWPOSBUF_INL_ */
