/*******************************************************************************
* FILE NAME: istring2.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of the comparison operators for      *
*   the class IString.                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <istring.hpp>

#if !defined( _IBUFFER_ )
  #include <ibuffer.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ISTRING2_CPP_
  #include <ipagetun.h>
#endif

/*------------------------------------------------------------------------------
| operator ==                                                                  |
| operator !=                                                                  |
| operator <                                                                   |
| operator <=                                                                  |
| operator >                                                                   |
| operator >=                                                                  |
|                                                                              |
| Compares two IStrings (or a IString and a char* string) for the specified    |
| condition by calling IBuffer::compare().                                     |
------------------------------------------------------------------------------*/
// See istring.inl
