/*******************************************************************************
* FILE NAME: istrtest.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in istrtest.hpp.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <istrtest.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ISTRTEST_CPP_
  #include <ipagetun.h>
#endif

/*------------------------------------------------------------------------------
| IStringTest::IStringTest                                                     |
------------------------------------------------------------------------------*/
IStringTest :: IStringTest ( CFunction &cfunc )
  : type( c )
  {
  data.cFn = &cfunc;
  }


/*------------------------------------------------------------------------------
| IStringTest::~IStringTest                                                    |
------------------------------------------------------------------------------*/
IStringTest :: ~IStringTest ( )
  {
  }

IBase::Boolean IStringTest :: test ( int ch ) const
  {
  if ( this->type == c )
    return data.cFn( ch );
  else
    return false;
  }
