/* NOSHIP */
#ifndef _IBMPHDR_
#define _IBMPHDR_
/*******************************************************************************
* FILE NAME: ibmphdr.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class:                                                  *
*     IBitmapHandler                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#ifndef _IPAINHDR_
  #include <ipainhdr.hpp>
#endif

#pragma pack(4)

class IBitmapHandler : public IPaintHandler {
typedef IPaintHandler
  Inherited;
public:
/*------------------------------- Constructor --------------------------------*/
  IBitmapHandler();
  virtual ~IBitmapHandler();

protected:
/*-------------------------------- Overrides ---------------------------------*/
virtual Boolean
  paintWindow          ( IPaintEvent& evt );
}; // class IBitmapHandler

#pragma pack()

#endif // _IBMPHDR_
