/* NOSHIP */
#ifndef _IGBTIF_
#define _IGBTIF_
/*******************************************************************************
* FILE NAME: igbtif.h                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the class(es):                                              *
*     IGBMTIF.H Microsoft/Aldus Tagged Image File Format support               *
*                                                                              *
*                                                                              *
*******************************************************************************/

extern GBM_ERR tif_qft(GBMFT *gbmft);
extern GBM_ERR tif_rhdr(char *fn, int fd, GBM *gbm, char *opt);
extern GBM_ERR tif_rpal(int fd, GBM *gbm, GBMRGB *gbmrgb);
extern GBM_ERR tif_rdata(int fd, GBM *gbm, byte *data);
extern GBM_ERR tif_w(char *fn, int fd, GBM *gbm, GBMRGB *gbmrgb, byte *data, char *opt);
extern unsigned long tif_err(GBM_ERR rc);

#endif
