/* NOSHIP */
#ifndef _IICONHDR_
#define _IICONHDR_
/*******************************************************************************
* FILE NAME: iiconhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IIconHandler                                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <istathdr.hpp>

#pragma pack(4)

class IIconHandler : public IStaticTextHandler {
typedef IStaticTextHandler
  Inherited;
public:
/*------------------------------- Constructor ----------------------------------
| The only way to construct instances of this class is to use the default      |
| constructor, which does not take any arguments.                              |
------------------------------------------------------------------------------*/
  IIconHandler();
  virtual ~IIconHandler();
protected:
/*-------------------------------- Overrides -----------------------------------
| This inherited function is overridden:                                       |
|   paintWindow - Process the paint events for a Icon control window.          |
------------------------------------------------------------------------------*/
virtual Boolean
  paintWindow          ( IPaintEvent& evt );
}; // class IIconHandler

/*----------------------------------------------------------------------------*/
/* Resume compiler default packing.                                           */
/*----------------------------------------------------------------------------*/
#pragma pack()

#endif // _IICONHDR_
