/* NOSHIP */
#ifndef _INEW_
  #define _INEW_
/*******************************************************************************
* FILE NAME: inew.hpp                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is used to conditionally compile operator new support.           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

  /*-----------------------------------------------------------*/
  /* Include Zortech Operator new support.                     */
  /*-----------------------------------------------------------*/
  #if (defined( __ZTC__ ))
     #include <new.hpp>

  /*-----------------------------------------------------------*/
  /* Include RS/6000 Operator New support.                     */
  /*-----------------------------------------------------------*/
  #elif (defined( __IBMR2__ ))
     #include <new.h>

  /*-----------------------------------------------------------*/
  /* Include Glockenspiel Operator new support.                */
  /*-----------------------------------------------------------*/
  #elif (defined( __GLOCKENSPIEL))
     #include <new.hxx>

  /*-----------------------------------------------------------*/
  /* Include Default Operator New support (IBM C Set++).       */
  /*-----------------------------------------------------------*/
  #else
     #include <new.h>
  #endif

#endif /* _INEW_ */
