/* NOSHIP */
#ifndef _INOTEHDR_
#define _INOTEHDR_
/*******************************************************************************
* FILE NAME: inotehdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     INotebookHandler                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>

#pragma pack(4)

class INotebookHandler : public IHandler {
typedef IHandler
  Inherited;
public:
  INotebookHandler ( );
  ~INotebookHandler ( );

protected:
/*-------------------------------- Overrides ---------------------------------*/
virtual Boolean
  dispatchHandlerEvent ( IEvent &anEvent );

}; // INotebookHandler

#pragma pack()

#endif // _INOTEHDR_
