/* NOSHIP */
#if !defined(_ISTREAM_)
  #define _ISTREAM_
/*******************************************************************************
* FILE NAME: istream.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file is used to conditionally compile stream support.                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

  /*-----------------------------------------------------------*/
  /* Include Borland Stream support.                           */
  /*-----------------------------------------------------------*/
  #if (defined( __BORLANDC__ ))
     #include <iostream.h>

  /*-----------------------------------------------------------*/
  /* Include Zortech Stream support.                           */
  /*-----------------------------------------------------------*/
  #elif (defined( __ZTC__ ))
     #include <iostream.hpp>

  /*-----------------------------------------------------------*/
  /* Include RS/6000 Stream support.                           */
  /*-----------------------------------------------------------*/
  #elif (defined( __IBMR2__ ))
     #include <stream.h>

  /*-----------------------------------------------------------*/
  /* Include Glockenspiel Stream support.                      */
  /*-----------------------------------------------------------*/
  #elif (defined( __GLOCKENSPIEL))
     #include <iostream.hxx>

  /*-----------------------------------------------------------*/
  /* Include Default Stream support (IBM C++).                 */
  /*-----------------------------------------------------------*/
  #else
     #include <stream.h>
  #endif

#endif /* _ISTREAM_ */
